[gitg] Terminates autogen if can't download submodule



commit 4537edb3528154fea5b0cd3097484bb34d4a91ec
Author: Mitchell Hentges <mhentges arrow ca>
Date:   Sun May 3 18:08:49 2015 -0700

    Terminates autogen if can't download submodule

 autogen.sh |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 3f173f4..c1a32c5 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -26,6 +26,11 @@ fi
 
 git submodule update --init --recursive
 
+if [ $? != 0 ]; then
+    echo "*** Failed to download submodules. Maybe you have a bad connection or a submodule was not forked?"
+    exit 1
+fi
+
 autopoint --force
 AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose
 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]